%define plugin11 PeopsSoftGpu115
%define plugin12 PeopsSpu107
%define plugin13 cdr-1.8
%define plugin14 cdriso-1.4
%define plugin15 padXwin-1.6
%define plugin16 spu-1.6
%define plugin17 spunull-1.0

Name: Pcsx
Version: 1.5
Release: alt1

Summary: PlayStation emulator
License: GPL
Group: Emulators

Url: http://www.pcsx.org/
Packager: Gleb Stiblo <ulfr@altlinux.ru>

Source00: %{name}Src-%version.tgz
Source01: %{name}.32.xpm
Source02: %{name}.48.xpm
Source03: %{name}.16.xpm
Source04: %{name}.menu
Source05: %{name}-launch.sh
Source11: %plugin11.tar.gz
Source12: %plugin12.tar.gz
Source13: %plugin13.tar.gz
Source14: %plugin14.tgz
Source15: %plugin15.tgz
Source16: %plugin16.tgz
Source17: %plugin17.tgz

Patch01: %name-conf.patch
Patch11: %name-%plugin11.patch
Patch12: %name-%plugin12.patch
Patch13: %name-%plugin13.patch
Patch14: %name-%plugin14.patch
Patch15: %name-%plugin15.patch
Patch16: %name-%plugin16.patch
Patch22: %name-%plugin12.config.patch

BuildRequires: XFree86-devel XFree86-libs gcc libgtk+2-devel pkgconfig zlib-devel nasm bzlib-devel

%description
Pcsx is a PSX emulator. What that really means? It means that it emulates the
way that a PSX works and tries to translate PSX machine language to PC language.
That is very hard to be done and we can't speak for 100% success in any time.
The hardware would always be better than the software so if you wanna play games
then better get a real PSX. Pcsx is capable to run most of the games, but a few
others still don't.

%prep
%setup -c -q 
%patch01 -p0
%__mkdir %plugin11; %__tar xzf %SOURCE11 -C %plugin11
%__mkdir %plugin12; %__tar xzf %SOURCE12 -C %plugin12
%__tar xzf %plugin12/src/linuxcfg/spucfg.tar.gz -C %plugin12/src/linuxcfg
%__mkdir %plugin13; %__tar xzf %SOURCE13 -C %plugin13
%__mkdir %plugin14; %__tar xzf %SOURCE14 -C %plugin14
%__mkdir %plugin15; %__tar xzf %SOURCE15 -C %plugin15
%__mkdir %plugin16; %__tar xzf %SOURCE16 -C %plugin16
%__mkdir %plugin17; %__tar xzf %SOURCE17 -C %plugin17

%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%__subst "s/\r//g" PeopsSpu107/src/linuxcfg/configure.in
%__subst "s/\r//g" PeopsSpu107/src/linuxcfg/autogen.sh
%__subst "s/\r//g" PeopsSpu107/src/linuxcfg/src/Makefile.am
pushd PeopsSpu107/src/
%patch22 -p0
popd

echo -e "\n">> PeopsSoftGpu115/src/gpu.h
echo -e "\n">> PeopsSoftGpu115/src/menu.h
echo -e "\n">> PeopsSoftGpu115/src/prim.h
echo -e "\n">> PeopsSoftGpu115/src/psemu.h
echo -e "\n">> PeopsSpu107/src/dsoundoss.h
echo -e "\n">> PeopsSpu107/src/regs.h
echo -e "\n">> PeopsSpu107/src/record.h
echo -e "\n">> PeopsSpu107/src/reverb.h
echo -e "\n">> PeopsSpu107/src/reverb.c
echo -e "\n">> PeopsSpu107/src/adsr.c
echo -e "\n">> PeopsSpu107/src/xa.c
echo -e "\n">> PeopsSpu107/src/xa.h
echo -e "\n">> padXwin-1.6/src/PSEmu\ Plugin\ Defs.h 
echo -e "\n">> spu-1.6/src/PSEmu\ Plugin\ Defs.h 
echo -e "\n">> spunull-1.0/src/PSEmu\ Plugin\ Defs.h 

%build

#building plugins
%make_build -C %plugin11/src
%make_build -C %plugin12/src
pushd PeopsSpu107/src/linuxcfg; ./autogen.sh; popd
%make_build -C %plugin12/src/linuxcfg
%make_build -C %plugin13/src
%make_build -C %plugin14/cdriso/src/Linux
%make_build -C %plugin15/src 
%make_build -C %plugin16/src
%make_build -C %plugin17/src

#building emulator
cd %{name}Src-%version/Linux
unset CC CXX
aclocal
autoconf
export CFLAGS="$CFLAGS -g"
%configure
%make_build


%install
#__mkdir_p %buildroot%_iconsdir
%__install -pD -m644 %SOURCE1 %buildroot%_iconsdir/pcsx.xpm
#__mkdir_p %buildroot%_liconsdir
%__install -pD -m644 %SOURCE2 %buildroot%_liconsdir/pcsx.xpm
#__mkdir_p %buildroot%_miconsdir
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/pcsx.xpm

%__install -pD -m644 %SOURCE4 %buildroot%_menudir/%name

%__install -pD -m755 %SOURCE5 %buildroot%_bindir/pcsx
%__install -pD -m755 %{name}Src-%version/Linux/pcsx %buildroot%_bindir/pcsx.bin
%__mkdir_p %buildroot%_libdir/pcsx/

%__install -pD -m755 %plugin11/src/libgpuPeopsSoftX.so.1.0.15 %buildroot%_libdir/pcsx/libgpuPeopsSoftX.so.1.0.15
%__install -pD -m755 %plugin11/src/cfgPeopsSoft %buildroot%_bindir/cfgPeopsSoft

%__install -pD -m755 %plugin12/src/libspuPeopsOSS.so.1.0.7 %buildroot%_libdir/pcsx/libspuPeopsOSS.so.1.0.7
%__install -pD -m755 %plugin12/src/linuxcfg/src/spucfg %buildroot%_bindir/cfgPeopsOSS

%__install -pD -m755 %plugin13/src/libcdr-1.8.so %buildroot%_libdir/pcsx/libcdr-1.8.so
%__install -pD -m755 %plugin13/src/cfg-gtk2/cfgCdr %buildroot%_bindir/cfgCdr

%__install -pD -m755 %plugin14/cdriso/src/Linux/libcdriso-1.4.so %buildroot%_libdir/pcsx/libcdriso-1.4.so
%__install -pD -m755 %plugin14/cdriso/src/Linux/cfgCdrIso %buildroot%_bindir/cfgCdrIso

%__install -pD -m755 %plugin15/src/libpadXwin-1.6.so %buildroot%_libdir/pcsx/libpadXwin-1.6.so
%__install -pD -m755 %plugin15/src/cfgPadXwin %buildroot%_bindir/cfgPadXwin

%__install -pD -m755 %plugin16/src/libspu-1.6.so %buildroot%_libdir/pcsx/libspu-1.6.so

%__install -pD -m755 %plugin17/src/libspunull-1.0.so %buildroot%_libdir/pcsx/libspunull-1.0.so

%__mkdir_p doc/%plugin11
%__cp %plugin11/*.txt %plugin11/src/*.txt doc/%plugin11
%__chmod -R 644 doc/%plugin11/*

%__mkdir_p doc/%plugin12
%__cp %plugin12/*.txt %plugin12/src/*.txt doc/%plugin12
%__chmod -R 644 doc/%plugin12/*

%__mkdir_p doc/%plugin13
%__cp %plugin13/*.{txt,cfg} doc/%plugin13

%__mkdir_p doc/%plugin14
%__cp %plugin14/cdriso/*.txt doc/%plugin14

%__mkdir_p doc/%plugin15
%__cp %plugin15/*.txt doc/%plugin15

%__mkdir_p doc/%plugin16
%__cp %plugin16/*.txt doc/%plugin16

%__mkdir_p doc/%plugin17
%__cp %plugin17/*.txt doc/%plugin17

%__mkdir_p %buildroot%_datadir/pixmaps/pcsx/
%__install -pD -m644 %{name}Src-%version/Linux/.pixmaps/* %buildroot%_datadir/pixmaps/pcsx/

%post
%update_menus

%postun
%clean_menus

%files
%doc %{name}Src-%version/Docs/* doc/%plugin11 doc/%plugin12 doc/%plugin13 doc/%plugin14 doc/%plugin15 doc/%plugin16 doc/%plugin17
%_bindir/*
%_menudir/*
%_iconsdir/pcsx.xpm
%_liconsdir/pcsx.xpm
%_miconsdir/pcsx.xpm
%_libdir/pcsx/*
%_datadir/pixmaps/pcsx/*

%changelog
* Fri Mar 05 2004 Gleb Stiblo <ulfr@altlinux.ru> 1.5-alt1
- ALT adaptation



